<?php

global $reports, $dim;


$reports->addReport(RC_SUPPLIER,"_abn_purchase_summary_report", _('ABN Purchase &Summary Report'),
	array(	_('Start Date') => 'DATEBEGINTAX',
			_('End Date') => 'DATEENDTAX',
			_('Tax Id Only') => 'YES_NO',
			_('Activity Greater Than') => 'TEXT',
			_('Activity Less Than') => 'TEXT',
			_('Filter by amount') => 'ABN_PURCHASE_SUMMARY_REPORT_AMOUNT_FILTER',			
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));



// Example To Register Controls
$reports->register_controls('ABN_PURCHASE_SUMMARY_REPORT_AMOUNT_FILTER');

function ABN_PURCHASE_SUMMARY_REPORT_AMOUNT_FILTER($name, $type) {
    if($type == 'ABN_PURCHASE_SUMMARY_REPORT_AMOUNT_FILTER'){
    	$sel = array(_("All"), _("Taxable"), _("Grand Total"), 	_("Non Taxable"), _("Amount without Tax"));

		$select = "<select name = '".$name."'>";
    	for ($i = 0; $i < count($sel); $i++){
			$select .= "<option value='".$i."'>".$sel[$i]."</option>";
    	}
    	$select .= '</select>';
    	return $select;			


    	}
}





